aboutsummaryrefslogtreecommitdiff
path: root/test/performance/odp_l2fwd_run.sh
diff options
context:
space:
mode:
authorMatias Elo <matias.elo@nokia.com>2019-06-07 15:20:17 +0300
committerMatias Elo <matias.elo@nokia.com>2019-08-16 12:41:43 +0300
commit8c5b85e0b4705415764d75981322c0c649dffff7 (patch)
tree9c3c5736367052dabf4f6940adc69b534ca05a51 /test/performance/odp_l2fwd_run.sh
parent0416281a1a370c112f5ceffe6f1e29e6dec86453 (diff)
test: performance: use correct test application return value
Previously, the return value of 'tee' was used, which returned success even if the actual test application failed. Signed-off-by: Matias Elo <matias.elo@nokia.com> Reviewed-by: Petri Savolainen <petri.savolainen@nokia.com>
Diffstat (limited to 'test/performance/odp_l2fwd_run.sh')
-rwxr-xr-xtest/performance/odp_l2fwd_run.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/test/performance/odp_l2fwd_run.sh b/test/performance/odp_l2fwd_run.sh
index 5745d3279..2d2321aa5 100755
--- a/test/performance/odp_l2fwd_run.sh
+++ b/test/performance/odp_l2fwd_run.sh
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
#
# Copyright (c) 2015-2018, Linaro Limited
# All rights reserved.
@@ -86,7 +86,7 @@ run_l2fwd()
# Max 2 workers
$STDBUF odp_l2fwd${EXEEXT} -i $IF1,$IF2 -m 0 -t 30 -c 2 | tee $LOG
- ret=$?
+ ret=${PIPESTATUS[0]}
kill -2 ${GEN_PID}